<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

class DeliveryServiceEnum
{
    public const B2CPL = 1;
    public const BOXBERRY = 2;
    public const CDEK = 3;
    public const DOSTAVISTA = 4;
    public const DPD = 5;
    public const IML = 6;
    public const MAXIPOST = 7;
    public const PICKPOINT = 8;
    public const PONTEXPRESS = 9;
    public const RUPOST = 10;

    /**
     * @return int[]
     */
    public static function cases(): array
    {
        return [
            self::B2CPL,
            self::BOXBERRY,
            self::CDEK,
            self::DOSTAVISTA,
            self::DPD,
            self::IML,
            self::MAXIPOST,
            self::PICKPOINT,
            self::PONTEXPRESS,
            self::RUPOST,
        ];
    }
}
